+++
title = "Teckids bei den Grazer Linux-Tagen 2024"
authors = ["lukasw", "krfl9500", "codecraft"]

[taxonomies]
categories = ["AAA"]
tags = ["bbb"]
+++

Wie schon angekündigt sind wir dieses Jahr auf den 
[Grazer Linux-Tagen](https://www.linuxtage.at/de/) (GLT) gewesen, um dort 
unsere Vereinsziele der Verstehbarkeit zu vermitteln. Zu diesem Zweck 
organisierten wir eine Mini-Froglabs und betrieben außerdem einen Stand.

<!-- more --> 

## Die Mini-Froglabs

Die Mini-Froglabs dieses Mal bestanden aus zwei unterschiedlichen Workshops, 
welche jeweils drei Stunden lang waren. Hierbei wurde am Samstag im ersten
Workshop den Teilnehmern das Spieleprogrammieren anhand von Python, PyGame und 
Tiled von unseren Tutoren Lukas und Darius näher gebracht. Im zweiten 
Workshop wurde den Teilnehmenden eine Einführung in die Elektronik geboten. 
Bei dieser baselteten die Teilnehmer mit jener Elektronik und programmierten 
auch mit ESPs und Pixeldisplays mithilfe von Python.

### Spieleprogrammieren

Wie schon erwähnt wird den Workshopteilnehmer beim Spieleprogrammieren-Workshop 
gezeigt wie man eigene Spiele mit Python, PyGame und Tiled programmiert. 
Genauer gesagt entwickelten die Teilnehmer hier ein kleines Jump'n'Run Spiel. 

Zuerst wurde den Kindern hier gezeigt, wie man das Programm Tiled zum 
erstellen einer Karte verwendet. Hierbei wurden schon sehr viele kreative Spiele 
skulpturiert.

Als die jungen Interssierten damit fertig waren ging es darum, den Karten 
Leben einzuflößen. Mit der Hilfe einer von uns entwickelten 
[Vorlage](https://edugit.org/Teckids/hacknfun/material/spieleprogrammieren)
konnten die Teilnehmer die kreative Vision ihres Spieles realisieren.

### Elektronik

Der Elektronik-Workshops fing an mit einer Einführung in generelle Konzepte wie
Stromkreislauf, Wiederstände und Schaltungen, mit dem Ziel den Teilnehmern vor 
dem Programmieren von Pixeldisplays näher zu bringen, wie jene im Detail 
funktionieren.

Nach dieser Einführung wurden die Teilnehmern in die Programmierung von ESP8266
zum steuern von LEDs mithilfe von Python übergeleitet.

Darauf folgend konnten die Teilnehmenden nun mit ihrem erlernten Verständnis
anfangen die, von uns bereitgestellten, Pixeldisplays zu programmieren. So 
konnten die Kinder interessante und kreative Animationen schreiben.

## Die Teckids-Gemeinschaft präsentiert sich

Neben den Mini-Froglabs her betrieben wir einen Stand der unseren Verein 
vorstellte. Auf unserem Standtisch, neben unserem Workshop-Raum, waren u. A.
Kalle Käseecke, den Plüschkäse mit den RGB-LEDs, welchen man über eine Website 
steuern kann, wie auch unser Flyer-Sortiment aufgestellt. Außerdem konnten wir 
mit vielen Besuchern reden und uns mit ihnen über unsere Ziele und Projekte 
austauschen, wobei beliebte Themen die aktuelle Benachteiligung von Kindern in 
großen teilen der FOSS-Welt, wie auch die wachsende Abhängigkeit von den 
Propriäteren-Software-Giganten.

## Das Rahmenprogramm

Bei unserem Besuch in Graz genoss unser Team wie in den letzten Jahren üblich 
neben den GLT auch eine kleine Freizeitreise. So besuchten wir am Donnerstag 
u. A. die Basilika Mariatrost, eine prachtvolle Kirche welche etwas außerhalb 
der Stadt gelegen ist. 

Am Freitag, dem ersten Tag der GLT, war ein Teil unserer Gruppe wandern, 
während die andere schon begonn auf der GLT unsere Workshops, 
für den nächsten Tag, und den Stand aufzubauen. Am selben Tag besuchten wir am 
Abend den Schlossberg, wo die beiden Gruppen sich trafen. Dort besuchten wir 
zusammen noch den Uhrturm und gingen gemeinsam den Berg hinunter.

## Abschließende Worte

Die GLT dieses Jahr haben uns, wie auch den Workshopteilnehmenden sehr viel 
Spaß bereitet. Wir freuen uns auch schon auf nächstes Jahr, wobei wir mit der
GLT-Orga organisierten, dass wir unsere Workshops länger und gefüllter anbieten 
können.

Graz ist eine wunderschöne Stadt und wir freuen uns auf's nächste Mal!
